org.eclipse.viatra.query.runtime.rete.index

## Class DualInputNode.NetworkStructureChangeSensitiveLogic

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.index.DualInputNode.NetworkStructureChangeSensitiveLogic

- Enclosing class:
    DualInputNode

      protected abstract static class DualInputNode.NetworkStructureChangeSensitiveLogic
      extends java.lang.Object

  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NetworkStructureChangeSensitiveLogic()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `notifyUpdate(DualInputNode.Side side, Direction direction, Tuple updateElement, Tuple signature, boolean change, Timestamp timestamp)` Abstract handler for update event.
    `abstract void` | `pullInto(java.util.Collection<Tuple> collector, boolean flush)`
    `abstract void` | `pullIntoWithTimeline(java.util.Map<Tuple,Timeline<Timestamp>> collector, boolean flush)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkStructureChangeSensitiveLogic

          protected NetworkStructureChangeSensitiveLogic()

  - ### Method Detail

    - #### notifyUpdate

          public abstract void notifyUpdate(DualInputNode.Side side,
                                            Direction direction,
                                            Tuple updateElement,
                                            Tuple signature,
                                            boolean change,
                                            Timestamp timestamp)

      Abstract handler for update event.
      Parameters:
        `side` - The side on which the event occurred.
        `direction` - The direction of the update.
        `updateElement` - The partial matching that is inserted.
        `signature` - Masked signature of updateElement.
        `change` - Indicates whether this is/was the first/last instance of this signature in this slot.
      Since:
        2.4

    - #### pullInto

          public abstract void pullInto(java.util.Collection<Tuple> collector,
                                        boolean flush)

    - #### pullIntoWithTimeline

          public abstract void pullIntoWithTimeline(java.util.Map<Tuple,Timeline<Timestamp>> collector,
                                                    boolean flush)

      Since:
        2.4